# $Revision: 1.46 $ $Date: 2008-01-12 23:35:26 $
#
# Conditional build:
%bcond_without	oam	# without OAM (which needs ATM/OAM kernel patch)
%bcond_without	vbr	# without VBR (which needs ATM/VBR kernel patch)
#
Summary:	ATM on Linux
Summary(pl.UTF-8):	Obsługa sieci ATM w Linuksie
Name:		linux-atm
Version:	2.5.0
Release:	0.1
License:	GPL v2+ (programs), LGPL v2 (library)
Group:		Networking
Source0:	http://dl.sourceforge.net/linux-atm/%{name}-%{version}.tar.gz
# Source0-md5:	0b45a0e801fac7093ce4b0cadf419965
Source1:	%{name}-2.4.0.1-pldrc.tar.gz
# Source1-md5:	c76c7dbac5797db883b2b22687243839
Patch0:		%{name}-syslog.patch
Patch1:		ftp://ftp.cmf.nrl.navy.mil/pub/chas/linux-atm/vbr/vbr-%{name}-diffs
Patch2:		%{name}-llh-vbr.patch
URL:		http://linux-atm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	atm
Obsoletes:	br2684ctl
Conflicts:	kernel-headers < 2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ATM (Asynchronous Transfer Mode) networking for Linux is still under
development now but it works quite stable now and has been already
included in 2.4.x series kernels. In PLD Linux it consists of some
patches for current kernel version containing drivers for a few
popular ATM cards (ex. Fore, Madge, IDT) and PVC and SVC support. It
also includes programs and scripts providing the most popular ATM
services, i.e. Classical IP (IP over ATM), LAN Emulation clients and
servers, Multiprotocol Over ATM (MPOA) and some other goodies.

%description -l pl.UTF-8
Obsługa sieci ATM (Asynchronous Transfer Mode) w Linuksie, mimo iż
jest nadal rozwijana, działa już bardzo stabilnie i została już
włączona do jąder serii 2.4.x. W Linuksie PLD składa się ona z łat
(patches) do bieżącej wersji jądra zawierających sterowniki do kilku
popularnych kart (m.in Fore, Madge, IDT) i zapewniających zestawianie
połączeń PVC i SVC oraz zestawu programów i skryptów (ten pakiet)
realizujących najpopularniejsze usługi ATM, tj. Classical IP (IP over
ATM), klientów i serwery LAN Emulation (LANE), Multiprotocol Over ATM
(MPOA) i inne rozmaitości.

%package libs
Summary:	ATM on Linux - shared library
Summary(pl.UTF-8):	Biblioteka współdzielona do obsługi sieci ATM w Linuksie
License:	LGPL v2
Group:		Libraries

%description libs
ATM on Linux - shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona do obsługi sieci ATM w Linuksie.

%package devel
Summary:	ATM on Linux - developer's package
Summary(pl.UTF-8):	Obsługa sieci ATM w Linuksie - pliki nagłówkowe
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	atm-devel

%description devel
Header files needed for development ATM applications for Linux.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do opracowywania aplikacji ATM dla Linuksa.

%package static
Summary:	ATM on Linux - static libraries
Summary(pl.UTF-8):	Obsługa sieci ATM w Linuksie - biblioteki statyczne
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	atm-static

%description static
Static libraries for development ATM applications for Linux.

%description static -l pl.UTF-8
Biblioteki statyczne do opracowywania aplikacji ATM dla Linuksa.

%package rc-scripts
Summary:	ATM on Linux - rc-scripts
Summary(pl.UTF-8):	Obsługa sieci ATM w Linuksie - skrypty startowe
Group:		Base
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts >= 0.2.9
Obsoletes:	atm-rc-scripts

%description rc-scripts
rc-scripts for ATM support.

%description rc-scripts -l pl.UTF-8
Skrypty startowe dla wsparcia obsługi ATM.

%prep
%setup -q -a1
%patch0 -p1
%if %{with vbr}
%patch1 -p1
%patch2 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--sysconfdir=%{_sysconfdir}/atm \
	--enable-cisco \
	--enable-mpoa_1_1 \
	--enable-multipoint

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{atm,sysconfig/{interfaces,network-scripts},rc.d/init.d} \
	$RPM_BUILD_ROOT/var/log/atm

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/config/hosts.atm $RPM_BUILD_ROOT%{_sysconfdir}
install src/extra/ANS/e164_cc $RPM_BUILD_ROOT%{_sysconfdir}

install pld/atm/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/atm
install pld/init.d/atm $RPM_BUILD_ROOT/etc/rc.d/init.d
install pld/sysconfig/atm $RPM_BUILD_ROOT/etc/sysconfig
install pld/network-scripts/{ifup-*,ifdown-*} \
		$RPM_BUILD_ROOT/etc/sysconfig/network-scripts

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post rc-scripts
/sbin/chkconfig --add atm
%service atm restart

%preun rc-scripts
if [ "$1" = "0" ]; then
	%service atm stop
	/sbin/chkconfig --del atm
fi

%files
%defattr(644,root,root,755)
%doc doc/README.* doc/atm-linux-howto.txt AUTHORS BUGS COPYING ChangeLog README THANKS
%config %{_sysconfdir}/e164_cc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hosts.atm
%attr(750,root,root) %dir %{_sysconfdir}/atm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/atm/atmsigd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/atm/ilmi.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/atm/lane.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/atm/lecs.conf
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(751,root,root) /var/log/atm
%{_mandir}/man4/atmsigd.conf.4*
%{_mandir}/man7/qos.7*
%{_mandir}/man7/sap.7*
%{_mandir}/man8/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatm.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatm.so
%{_libdir}/libatm.la
%{_includedir}/atm*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libatm.a

%files rc-scripts
%defattr(644,root,root,755)
%doc pld/README.PLD pld/interfaces/ifcfg-*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/atm
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-atm
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-atm.post
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-lec
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-nas
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-atm
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-lec
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-nas
%attr(754,root,root) /etc/rc.d/init.d/atm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linux-atm.spec,v $
Revision 1.46  2008-01-12 23:35:26  qboosh
- separated -libs

Revision 1.45  2008-01-10 20:37:29  qboosh
- (missing in prev. entry) Obsoletes: br2684ctl

Revision 1.44  2008-01-10 20:33:36  qboosh
- more verbose files, ghost soname symlink
- clarified license; include COPYING with licensing summary

Revision 1.43  2008-01-08 19:08:48  baggins
- started update to 2.5.0
- removed obsolete/outdated patches
- updated vbr patch

Revision 1.42  2007/09/05 14:58:20  baggins
- rel 4

Revision 1.41  2007/05/18 17:03:00  sparky
- added llh-includes patch, fixes build with new llh

Revision 1.40  2007/02/14 21:43:56  qboosh
- resolved conflict

Revision 1.39  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.37  2006/08/05 00:23:23  sparky
- added LDFLAGS patch

Revision 1.36  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.35  2006/01/26 13:26:25  charles
- BR: flex

Revision 1.34  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.33  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.32  2005/06/13 10:35:47  pluto
- gcc4 ready.

Revision 1.31  2005/06/06 07:02:04  pluto
- gcc4 fix added, TODO added.

Revision 1.30  2004/08/20 11:38:37  pluto
- gcc 3.4 fixes.
- TODO added.

Revision 1.29  2004/04/01 08:44:36  adgor
- Strict internal deps

Revision 1.28  2004/03/30 21:37:16  qboosh
- added llh-vbr patch (to allow build with vbr support on llh), release 2

Revision 1.27  2003/10/19 00:26:10  qboosh
- fixed doc, allow building without patched kernel, BR: am,lt

Revision 1.26  2003/06/27 17:43:39  baggins
- fix building

Revision 1.25  2003/06/17 11:16:30  ankry
- removed md5 for the .c file

Revision 1.24  2003/06/06 12:41:41  qboosh
- updated contact addresses

Revision 1.23  2003/05/30 17:35:10  baggins
- removed temp url

Revision 1.22  2003/05/30 17:31:27  baggins
- updated to 2.4.1
- added VBR support

Revision 1.20  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.19  2003/01/09 12:53:40  qboosh
- fixed typo, updated descriptions

Revision 1.18  2002/12/07 14:33:14  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.17  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.16  2002/11/25 14:17:11  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/07/03 09:24:04  wolf
- spelling

Revision 1.14  2002/05/21 23:14:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/02/23 03:36:24  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/19 13:07:23  blues
- oops - patch is back

Revision 1.10  2002/02/19 12:55:01  blues
- added BR

Revision 1.9  2002/02/15 10:11:54  blues
- adapterized

Revision 1.8  2002/02/02 23:53:16  ankry
- adding es/pt_BR Group translations

Revision 1.7  2002/02/02 20:27:18  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.6  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/22 21:59:53  blues
- added Conflicts for non-2.4 kernels

Revision 1.4  2001/12/22 21:09:09  blues
- URL updated

Revision 1.3  2001/11/01 19:42:31  ankry
- remove %name macro from Icon definition - builder doesn't like it.
  However, linux-atm-logo.gif is still missing...

Revision 1.2  2001/10/29 15:46:24  baggins
- proper rc sxripts
- fixed building br2684ctl

Revision 1.1  2001/10/28 01:43:47  baggins
- initial release
- it's really just name change from atm.spec along with update to v. 2.4.0
